Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
MergePolicy.h File Reference
`#include "SegmentInfos.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::MergePolicy
| A MergePolicy determines the sequence of primitive merge operations to be used for overall merge and optimize operations. More...
class | Lucene::OneMerge
| OneMerge provides the information necessary to perform an individual primitive merge operation, resulting in a single new segment. The merge spec includes the subset of segments to be merged as well as whether the new segment should use the compound file format. More...
class | Lucene::MergeSpecification
| A MergeSpecification instance provides the information necessary to perform multiple merges. It simply contains a list of OneMerge instances. More...

## Namespaces

| Lucene

clucene.sourceforge.net